Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.webcommon30
Interface CookieConfigType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  CookieConfigTypeImpl

    public interface CookieConfigType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `cookie-configType` xsd type

Original Documentation:

The cookie-configType defines the configuration for the
session tracking cookies of this web application.
Used in: session-config

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.lang.String` | `getComment()` Returns the `comment` element
`java.lang.String` | `getDomain()` Returns the `domain` element
`java.lang.Integer` | `getMaxAge()` Returns the `max-age` element
`java.lang.String` | `getName()` Returns the `name` element
`java.lang.String` | `getPath()` Returns the `path` element
`java.lang.Boolean` | `isHttpOnly()` Returns the `http-only` element
`java.lang.Boolean` | `isSecure()` Returns the `secure` element
`CookieConfigType<T>` | `removeComment()` Removes the `comment` element
`CookieConfigType<T>` | `removeDomain()` Removes the `domain` element
`CookieConfigType<T>` | `removeHttpOnly()` Removes the `http-only` element
`CookieConfigType<T>` | `removeMaxAge()` Removes the `max-age` element
`CookieConfigType<T>` | `removeName()` Removes the `name` element
`CookieConfigType<T>` | `removePath()` Removes the `path` element
`CookieConfigType<T>` | `removeSecure()` Removes the `secure` element
`CookieConfigType<T>` | `setComment(java.lang.String comment)` If not already created, a new `comment` element with the given value will be created.
`CookieConfigType<T>` | `setDomain(java.lang.String domain)` If not already created, a new `domain` element with the given value will be created.
`CookieConfigType<T>` | `setHttpOnly(java.lang.Boolean httpOnly)` If not already created, a new `http-only` element with the given value will be created.
`CookieConfigType<T>` | `setMaxAge(java.lang.Integer maxAge)` If not already created, a new `max-age` element with the given value will be created.
`CookieConfigType<T>` | `setName(java.lang.String name)` If not already created, a new `name` element with the given value will be created.
`CookieConfigType<T>` | `setPath(java.lang.String path)` If not already created, a new `path` element with the given value will be created.
`CookieConfigType<T>` | `setSecure(java.lang.Boolean secure)` If not already created, a new `secure` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setName

    CookieConfigType<T> setName(java.lang.String name)

  If not already created, a new `name` element with the given value will be created. Otherwise, the existing `name` element will be updated with the given value.

  Returns:
    the current instance of `CookieConfigType`

### removeName

    CookieConfigType<T> removeName()

  Removes the `name` element

  Returns:
    the current instance of `CookieConfigType`

### getName

    java.lang.String getName()

  Returns the `name` element

  Returns:
    the node defined for the element `name`

### setDomain

    CookieConfigType<T> setDomain(java.lang.String domain)

  If not already created, a new `domain` element with the given value will be created. Otherwise, the existing `domain` element will be updated with the given value.

  Returns:
    the current instance of `CookieConfigType`

### removeDomain

    CookieConfigType<T> removeDomain()

  Removes the `domain` element

  Returns:
    the current instance of `CookieConfigType`

### getDomain

    java.lang.String getDomain()

  Returns the `domain` element

  Returns:
    the node defined for the element `domain`

### setPath

    CookieConfigType<T> setPath(java.lang.String path)

  If not already created, a new `path` element with the given value will be created. Otherwise, the existing `path` element will be updated with the given value.

  Returns:
    the current instance of `CookieConfigType`

### removePath

    CookieConfigType<T> removePath()

  Removes the `path` element

  Returns:
    the current instance of `CookieConfigType`

### getPath

    java.lang.String getPath()

  Returns the `path` element

  Returns:
    the node defined for the element `path`

### setComment

    CookieConfigType<T> setComment(java.lang.String comment)

  If not already created, a new `comment` element with the given value will be created. Otherwise, the existing `comment` element will be updated with the given value.

  Returns:
    the current instance of `CookieConfigType`

### removeComment

    CookieConfigType<T> removeComment()

  Removes the `comment` element

  Returns:
    the current instance of `CookieConfigType`

### getComment

    java.lang.String getComment()

  Returns the `comment` element

  Returns:
    the node defined for the element `comment`

### setHttpOnly

    CookieConfigType<T> setHttpOnly(java.lang.Boolean httpOnly)

  If not already created, a new `http-only` element with the given value will be created. Otherwise, the existing `http-only` element will be updated with the given value.

  Returns:
    the current instance of `CookieConfigType`

### removeHttpOnly

    CookieConfigType<T> removeHttpOnly()

  Removes the `http-only` element

  Returns:
    the current instance of `CookieConfigType`

### isHttpOnly

    java.lang.Boolean isHttpOnly()

  Returns the `http-only` element

  Returns:
    the node defined for the element `http-only`

### setSecure

    CookieConfigType<T> setSecure(java.lang.Boolean secure)

  If not already created, a new `secure` element with the given value will be created. Otherwise, the existing `secure` element will be updated with the given value.

  Returns:
    the current instance of `CookieConfigType`

### removeSecure

    CookieConfigType<T> removeSecure()

  Removes the `secure` element

  Returns:
    the current instance of `CookieConfigType`

### isSecure

    java.lang.Boolean isSecure()

  Returns the `secure` element

  Returns:
    the node defined for the element `secure`

### setMaxAge

    CookieConfigType<T> setMaxAge(java.lang.Integer maxAge)

  If not already created, a new `max-age` element with the given value will be created. Otherwise, the existing `max-age` element will be updated with the given value.

  Returns:
    the current instance of `CookieConfigType`

### removeMaxAge

    CookieConfigType<T> removeMaxAge()

  Removes the `max-age` element

  Returns:
    the current instance of `CookieConfigType`

### getMaxAge

    java.lang.Integer getMaxAge()

  Returns the `max-age` element

  Returns:
    the node defined for the element `max-age`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD